Loading...
Searching...
No Matches
ranges::ostream_iterator< T, Char, Traits > Struct Template Reference
Iterator

## Public Types

using | char_type = Char
using | difference_type = std::ptrdiff_t
using | ostream_type = std::basic_ostream< Char, Traits >
using | traits_type = Traits

## Public Member Functions

ostream_iterator & | operator* ()
ostream_iterator & | operator++ ()
ostream_iterator & | operator++ (int)
template<typename U > requires convertible_to<U, value_t<U> const &>
ostream_iterator & | operator= (U &&value)
| ostream_iterator (ostream_type &s, Char const *d=nullptr) noexcept